PSKB_TRIM_RCSUM(9)

NAME
pskb_trim_rcsum - trim received skb and update checksum

SYNOPSIS

int pskb_trim_rcsum (struct sk_buff * skb, unsigned int len);

ARGUMENTS

skb buffer to trim

len new length

DESCRIPTION

This is exactly the same as pskb_trim except that it ensures the checksum of received packets are still valid after the operation.